@import url("https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap");
@font-face {
  font-family: "Font";
  src: url("font/GameOfSquids-1GMVL.ttf");
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  transition: 0.4s all;
  font-family: "Font";
  user-select: none;
}

body {
  background: #121212;
  height: 100vh;
  overflow: hidden;
}

.score,
.lives {
  font-weight: bold;
  color: white;
  top: 0;
  left: 0;
  margin: 10px;
  img {
    width: 30px;
  }
}

.lives {
  right: 0;
  display: flex;
  justify-content: right;
}

.perm {
  position: absolute;
  top: 0;
  width: 100%;
  display: flex;
  z-index: -1;
  justify-content: space-between;
  align-items: center;
  background: linear-gradient(to bottom, #005350, #121212);
}

.doll-container {
  display: flex;
  justify-content: space-around;
  align-items: center;
  margin-top: 50px;
  border-bottom: 2px dashed rgba(255, 145, 0, 0.278);

  .doll {
    border: 15px solid #ff9000;
    width: 100px;
    height: 100px;
    border-radius: 100px;
    display: flex;
    justify-content: center;
    box-shadow: 0px 0px 20px #ff9000, inset 0px 0px 20px #ff9000;
    transform: rotateZ(180deg);

    .doll-face {
      height: 50px;
      margin-top: -3px;
      width: 15px;
      border-bottom-left-radius: 100px;
      border-bottom-right-radius: 100px;
      background: #ff9000;
    }
  }
  .soldier {
    width: 60px;
    img {
      width: 100%;
    }
  }
}

.hero {
  position: absolute;
  bottom: 0;
  left: 50%;
  transform: translate(-50%, 0%);
  border: 8px solid white;
  width: 50px;
  height: 50px;
  border-radius: 100px;
  display: flex;
  justify-content: center;
  box-shadow: 0px 0px 15px #fff, inset 0px 0px 15px #fff;
  .hero-face {
    height: 25px;
    margin-top: -1px;
    width: 8px;
    border-bottom-left-radius: 100px;
    border-bottom-right-radius: 100px;
    background: white;
  }
}

.msg-con {
  width: 100vw;
  height: 100vh;
  position: absolute;
  display: none;
  /* display: flex; */
  align-items: center;
  justify-content: center;
  top: 0;
  left: 0;
  backdrop-filter: blur(5px);
  .msg-box {
    background: rgba(255, 255, 255, 0.2);
    width: 100%;
    max-width: 320px;
    border-radius: 5px;
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    padding: 20px;

    .picture {
      height: 170px;
      width: 170px;
      border-radius: 100px;
      overflow: hidden;
      display: flex;
      align-items: center;
      justify-content: center;
      outline: 10px solid #ce4369;
      box-shadow: 4px 4px 0px 10px #410a19;

      img {
        height: 100%;
        width: 100%;
        object-fit: cover;
      }
    }
    h1,
    .msg {
      color: #ce4369;
      text-shadow: 4px 4px 0px #8e1b39;
    }

    button {
      background: #ff9000;
      outline: none;
      border: none;
      border-radius: 3px;
      padding: 7px;
      font-weight: bold;
      box-shadow: 4px 4px 0px #b26500;
    }
  }
}

.landscape-block {
  display: none;
  flex-direction: column;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: url("images/soldier.png");
  background-repeat: no-repeat;
  background-position: center;
  background-size: contain;
  background-color: rgba(0, 0, 0);
  backdrop-filter: blur(15px);
  z-index: 1000;
  color: #ce4369;
  font-weight: bold;
  text-align: center;
  text-shadow: 3px 3px 0px #921435;
  font-size: 25px;
  align-items: stretch;
  justify-content: space-between;
  opacity: 1;
}

.landscape-block.active {
  display: flex;
}
